
.mgb_pro_sng { position: relative; height: 100%; }
.mgb_pro_sng model-viewer { width: 100%; margin: 20px auto; height: 400px; position: static; transform: none; }
model-viewer { width: 100%; margin:20px auto; height: 100%; position: absolute; top: 50%; transform: translateY(-50%); }
.gallery-placeholder .gallery-placeholder__image { display: none; }

@media (max-width: 768px) {
    .page-products .columns { padding-top: 10px; }
    model-viewer { margin: 0 auto; }
    .mgb_pro_sng model-viewer { height: 360px; }
}

/* This keeps child nodes hidden while the element loads */
:not(:defined)>* { display: none; }
#ar-button { background-color: #fc7200; position: absolute; left: 50%; z-index: 1000; transform: translateX(-50%); white-space: nowrap; bottom: 0; padding: 0px 20px 0px 20px; font-size: 12px; color: #fff; height: 30px; line-height: 30px; border-radius: 20px; border: 1px solid #fc7200; }
#ar-button:hover, #ar-button:active { background-color: #ff841f; }
#ar-button:focus { outline: none; }

@keyframes circle {
    from { transform: translateX(-50%) rotate(0deg) translateX(50px) rotate(0deg); }
    to { transform: translateX(-50%) rotate(360deg) translateX(50px) rotate(-360deg); }
}
@keyframes elongate {
    from { transform: translateX(100px); }
    to { transform: translateX(-100px); }
}
model-viewer>#ar-prompt { position: absolute; left: 50%; bottom: 75px; animation: elongate 2s infinite ease-in-out alternate; display: none; }
model-viewer[ar-status="session-started"]>#ar-prompt { display: block; }
model-viewer>#ar-prompt>img { animation: circle 4s linear infinite; }

/****CSS ADDED FOR PRODUCT PAGE***/
#error { background-color: red; border-radius: 16px; padding: 16px; position: absolute; left: 50%; top: 50%; transform: translate3d(-50%, -50%, 0); transition: opacity 5.s; }
#error.hide { opacity: 1; visibility: show; transition: visibility 2s, opacity 1s 1s; }
.fotorama__stage.fotorama__shadows--right:after,
.fotorama__nav.fotorama__shadows--right:after { background-image: none; background-position: 100% 0, 100% 0; right: 0; }
.fotorama__stage.fotorama__shadows--left:before,
.fotorama__nav.fotorama__shadows--left:before { background-image: none; background-position: 0 0, 0 0; top: 0; }